# Ogre::GpuLogicalIndexUse Struct Reference

Structure recording the use of a physical buffer by a logical parameter index. More...

`#include <OgreGpuProgram.h>`

List of all members.

## Public Member Functions

| GpuLogicalIndexUse (size_t bufIdx, size_t curSz)

## Public Attributes

size_t | physicalIndex
| Physical buffer index.
size_t | currentSize
| Current physical size allocation.

## Detailed Description

Structure recording the use of a physical buffer by a logical parameter index.

Only used for low-level programs.

Definition at line 216 of file OgreGpuProgram.h.

## Constructor & Destructor Documentation

Ogre::GpuLogicalIndexUse::GpuLogicalIndexUse | ( | size_t | bufIdx,
|  | size_t | curSz |
| ) |  |  |

Definition at line 223 of file OgreGpuProgram.h.

## Member Data Documentation

size_t Ogre::GpuLogicalIndexUse::physicalIndex

Physical buffer index.

Definition at line 219 of file OgreGpuProgram.h.

size_t Ogre::GpuLogicalIndexUse::currentSize

Current physical size allocation.

Definition at line 221 of file OgreGpuProgram.h.

The documentation for this struct was generated from the following file:

- OgreGpuProgram.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sat Apr 11 14:28:08 2009